//
// maindlg.h
//
// Copyright (c) Alessandro Iacopetti , 1995. All Rights Reserved.
//

//
// class CMainDialog dialog
//

class CMainDialog : public CDialog
{
public:
    UINT m_timerid;
    char m_currentdir[MAX_PATH + 1];
    static char* filename;
	CMainDialog(CWnd* pParent = NULL);	// standard constructor

	// Dialog Data
	//{{AFX_DATA(CMainDialog)
	enum	{	IDD = IDD_DIALOGBOXIT};
	CListBox		m_lista;
	UINT		m_minuti;
	CButton		m_cambiaperiodo;
	int		m_cambiaflag;
	CEdit		m_minutiedit;
	//}}AFX_DATA

protected:
	virtual void PostNcDestroy();


protected:
    void UpdateConfig();
    void SetWallpaper(int i);
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

	DECLARE_MESSAGE_MAP()

	//{{AFX_MSG(CMainDialog)
	afx_msg void OnDestroy();
	afx_msg void OnClickedAbout();
	afx_msg void OnClickedCambiaperiodo();
	afx_msg void OnClickedAggiungi();
	afx_msg void OnClickedElimina();
	afx_msg void OnDblclkListbox1();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg BOOL OnQueryEndSession();
	//}}AFX_MSG
};
